## sdl-ball 0.14

=== Makefile ===
DATADIR?=themes/

#append -DWITH_WIIUSE to compile with WIIUSE support!
#append -DNOSOUND to compile WITHOUT sound support
CC=g++ -DDATADIR="\"$(DATADIR)\""

CFLAGS+=-c -Wall `sdl-config --cflags`

#append -lwiiuse to compile with WIIUSE support
#remove -lSDL_mixer if compiling with -DNOSOUND
LDFLAGS+=-lGL -lGLU `sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_mixer

SOURCES=main.cpp 
OBJECTS=$(SOURCES:.cpp=.o)

EXECUTABLE=sdl-ball

all: $(SOURCES) $(EXECUTABLE)
	
$(EXECUTABLE): $(OBJECTS)
	$(CC) $(OBJECTS) $(LDFLAGS) -o $@

.cpp.o:
	$(CC) $(CFLAGS) $< -o $@

clean:
	rm -f *.o sdl-ball

remove:
	rm -R ~/.config/sdl-ball

## sdl-ball 1.01

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 #append -lwiiuse to compile with WIIUSE support
 #remove -lSDL_mixer if compiling with -DNOSOUND
-LDFLAGS+=-lGL -lGLU `sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_mixer
+LIBS+=-lGL -lGLU `sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_mixer
 
 SOURCES=main.cpp 
 OBJECTS=$(SOURCES:.cpp=.o)
@@ -18,7 +18,7 @@
 all: $(SOURCES) $(EXECUTABLE)
 	
 $(EXECUTABLE): $(OBJECTS)
-	$(CC) $(OBJECTS) $(LDFLAGS) -o $@
+	$(CC) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@
 
 .cpp.o:
 	$(CC) $(CFLAGS) $< -o $@
@@ -28,3 +28,4 @@
 
 remove:
 	rm -R ~/.config/sdl-ball
+

=== debian/changelog ===
sdl-ball (1.01-2) unstable; urgency=low

  [ Evgeni Golov ]
  * Update my email address.
  * Use dh rules.tiny
  * format 3.0 (quilt)
  * Standards-Version: 3.9.3
  * Update debian/changelog to the latest format specification.
  * Fix a small spelling typo (Dont → Don't) in the game, thanks lintian.

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include
    (Closes: #667368).

 -- Evgeni Golov <evgeni@debian.org>  Tue, 15 May 2012 07:09:01 +0200

sdl-ball (1.01-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Fix the link to upstream source, this is sdl-ball, not sdl-jump.
      Closes: #509621.
    + Add copyright information for the dio-theme.
    + Update copyright years.

 -- Evgeni Golov <sargentd@die-welt.net>  Thu, 22 Jan 2009 19:00:10 +0100

sdl-ball (0.14-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Use themes/default/icon32.png instead of icon32.png as the icon.
  * debian/control:
    + Add ${misc:Depends} to Depends of sdl-ball-data to please lintian.

 -- Evgeni Golov <sargentd@die-welt.net>  Mon, 08 Dec 2008 09:41:38 +0100

sdl-ball (0.13-1) unstable; urgency=low

  * Initial release (Closes: #505447)

 -- Evgeni Golov <sargentd@die-welt.net>  Wed, 12 Nov 2008 14:25:49 +0100

=== debian/control ===
Source: sdl-ball
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 7.0.50~), imagemagick,
 libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev,
 libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev
Standards-Version: 3.9.3
Homepage: http://sdl-ball.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/sdl-ball/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/sdl-ball/

Package: sdl-ball
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sdl-ball-data (= ${source:Version})
Description: brick-breaking game like DX-Ball/Arkanoid
 Your mission: To smash your way through a series of progressively harder
 and more tricky levels.
 Your tools: Ultrakinetic titanium balls and your trusty
 Gruntmazter-3000-Paddle edition.

Package: sdl-ball-data
Architecture: all
Depends: ttf-alee, ${misc:Depends}
Description: brick-breaking game like DX-Ball/Arkanoid - data files
 Your mission: To smash your way through a series of progressively harder
 and more tricky levels.
 Your tools: Ultrakinetic titanium balls and your trusty
 Gruntmazter-3000-Paddle edition.
 .
 This package contains arch-independent data files for sdl-ball (images,
 sounds, levels, etc).

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS=-Wl,-z,defs -Wl,--as-needed
export DATADIR=/usr/share/games/sdl-ball/

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

override_dh_install:
	dh_install
	install -m 0644 -D themes/default/icon32.png $(CURDIR)/debian/sdl-ball/usr/share/pixmaps/sdl-ball.png
	convert themes/default/icon32.png $(CURDIR)/debian/sdl-ball/usr/share/pixmaps/sdl-ball.xpm
	rm $(CURDIR)/debian/sdl-ball-data/usr/share/games/sdl-ball/default/font/COPYING
	rm $(CURDIR)/debian/sdl-ball-data/usr/share/games/sdl-ball/default/font/Bandal.ttf

## sdl-ball 1.02

=== debian/changelog ===
sdl-ball (1.02-2) unstable; urgency=medium

  * Upload to unstable.
  * use https for vsc-browser
  * Standards-Version: 4.0.0

 -- Evgeni Golov <evgeni@debian.org>  Sun, 23 Jul 2017 14:35:41 +0200

sdl-ball (1.02-1) experimental; urgency=medium

  * New upstream release.
  * Drop obsolete patches:
    - debian/patches/gcc-4.7-ftbfs.patch
    - debian/patches/gcc-4.8-ftbfs.patch
  * Use upstream's sdl-ball.desktop
  * Standards-Version: 3.9.6
  * Depend on fonts-alee instead of ttf-alee (Closes: #768604)

 -- Evgeni Golov <evgeni@debian.org>  Sun, 16 Nov 2014 14:18:06 +0100

sdl-ball (1.01-4) unstable; urgency=low

  * Fix FTBFS with gcc 4.8 due to stray ‘,’.
    Thanks: Juhani Numminen <juhaninumminen0@gmail.com>
    Closes: #701355
  * Use canonical URLs in Vcs-* entries.
  * Use debhelper 9 compat.
  * Honour CPPFLAGS from dpkg-buildflags to properly harden the build.
  * Standards-Version: 3.9.4
  * Improve the desktop file.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 23 Jun 2013 14:09:01 +0200

sdl-ball (1.01-3) unstable; urgency=low

  * Fix FTBFS due to wrong use of the override targets of dh.
    Thanks: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
    Closes: #673938

 -- Evgeni Golov <evgeni@debian.org>  Sun, 27 May 2012 12:53:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), imagemagick,
+Build-Depends: debhelper (>= 9), imagemagick,
  libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev,
  libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev
-Standards-Version: 3.9.3
+Standards-Version: 4.0.0
 Homepage: http://sdl-ball.sourceforge.net/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/sdl-ball/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/sdl-ball/
+Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/sdl-ball/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/sdl-ball/
 
 Package: sdl-ball
 Architecture: any
@@ -22,7 +22,7 @@
 
 Package: sdl-ball-data
 Architecture: all
-Depends: ttf-alee, ${misc:Depends}
+Depends: fonts-alee, ${misc:Depends}
 Description: brick-breaking game like DX-Ball/Arkanoid - data files
  Your mission: To smash your way through a series of progressively harder
  and more tricky levels.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed
export DATADIR=/usr/share/games/sdl-ball/

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

override_dh_install-arch:
	dh_install
	install -m 0644 -D themes/default/icon32.png $(CURDIR)/debian/sdl-ball/usr/share/pixmaps/sdl-ball.png
	convert themes/default/icon32.png $(CURDIR)/debian/sdl-ball/usr/share/pixmaps/sdl-ball.xpm

override_dh_install-indep:
	dh_install
	$(RM) $(CURDIR)/debian/sdl-ball-data/usr/share/games/sdl-ball/default/font/COPYING
	$(RM) $(CURDIR)/debian/sdl-ball-data/usr/share/games/sdl-ball/default/font/Bandal.ttf

## sdl-ball 1.04%2Bdfsg

=== debian/changelog ===
sdl-ball (1.04+dfsg-1) unstable; urgency=medium

  * Team upload
  * import game on Salsa
  * New upstream version 1.04
  * repack to remove vendored win32 dll & level editor
  * define Rules-Rerquires-Root: no
  * switch to debhelper 13
  * remove old menu file & build-dep on ImageMagick

  [ Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Refer to specific version of license GPL-3, GPL-3+.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Jan 2024 18:50:27 +0100

## sdl-ball 1.04+dfsg

=== Makefile ===
ifndef PREFIX
	PREFIX=/usr/local/
endif

DESTDIR?=$(PREFIX)share/games/sdl-ball/

DATADIR?=themes/
BINDIR=bin/

#append -DWITH_WIIUSE to compile with WIIUSE support!
#append -DNOSOUND to compile WITHOUT sound support
STRIP=strip
CXX?=g++

CXXFLAGS+=-Wall `sdl-config --cflags` -DDATADIR="\"$(DATADIR)\""

#append -lwiiuse to compile with WIIUSE support
#remove -lSDL_mixer if compiling with -DNOSOUND
LIBS+=-lGL -lGLU `sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_mixer

SOURCES=main.cpp 
OBJECTS=$(SOURCES:.cpp=.o)

EXECUTABLE=sdl-ball

all: $(SOURCES) $(EXECUTABLE)
	
$(EXECUTABLE): $(OBJECTS)
	$(CXX) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@
	$(STRIP) $@

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $< -o $@

clean:
	rm -f *.o sdl-ball

install: $(EXECUTABLE) install-bin install-data

install-bin:
	mkdir -p $(DESTDIR)
	cp $(EXECUTABLE) $(DESTDIR)
	ln -s $(DESTDIR)$(EXECUTABLE) $(PREFIX)$(BINDIR)

install-data:
	mkdir -p $(DESTDIR)$(DATADIR)
	cp -p -R themes/* $(DESTDIR)$(DATADIR)

remove:
	rm -R ~/.config/sdl-ball

=== debian/changelog ===
sdl-ball (1.04+dfsg-2) unstable; urgency=medium

  * Team Upload

  [ Helmut Grohne ]
  * Fix FTCBFS: strips with the build architecture strip (Closes: #1085102)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Oct 2024 09:48:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,18 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 9), imagemagick,
- libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev,
- libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev
-Standards-Version: 4.0.0
-Homepage: http://sdl-ball.sourceforge.net/
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/sdl-ball/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/sdl-ball/
+Build-Depends:
+ debhelper-compat (= 13),
+ libgl-dev,
+ libglu1-mesa-dev | libglu-dev,
+ libsdl-image1.2-dev,
+ libsdl-mixer1.2-dev,
+ libsdl-ttf2.0-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://sdl-ball.sourceforge.net/
+Vcs-Git: https://salsa.debian.org/games-team/sdl-ball.git
+Vcs-Browser: https://salsa.debian.org/games-team/sdl-ball
 
 Package: sdl-ball
 Architecture: any
@@ -22,6 +27,7 @@
 
 Package: sdl-ball-data
 Architecture: all
+Multi-Arch: foreign
 Depends: fonts-alee, ${misc:Depends}
 Description: brick-breaking game like DX-Ball/Arkanoid - data files
  Your mission: To smash your way through a series of progressively harder

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs
export DATADIR=/usr/share/games/sdl-ball/
export PREFIX=/usr/
export BINDIR=games/

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- STRIP=true

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

override_dh_auto_install:

execute_after_dh_install:
	install -m 0644 -D themes/default/icon32.png $(CURDIR)/debian/sdl-ball/usr/share/pixmaps/sdl-ball.png
	$(RM) $(CURDIR)/debian/sdl-ball-data/usr/share/games/sdl-ball/default/font/COPYING
	$(RM) $(CURDIR)/debian/sdl-ball-data/usr/share/games/sdl-ball/default/font/Bandal.ttf

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,repack,dversionmangle=s/\+dfsg\d*//" \
http://sf.net/sdl-ball/sdl-ball-([\d\.]*)\.tar\.bz2
